Subject: RE: dynamic v4 addresses over v4-in-v6 tunnel [RE: DSTM]

From: "Bound, Jim" <[email-masked]>
Date: Thu, 24 Jun 2004 02:41:17 -0400

> On Wed, 23 Jun 2004, Bound, Jim wrote:
> > Operational requirements by the user:
> [...]
> > 3.  The use of IPv4 addresses for legacy communications should be 
> > temporary IPv4 addresses for a specific time.
> 
> I'm not sure I personally buy the other requirements, but for 
> the argument's sake..

Are you calling the authors liars?

> 
> What kind of requirement is this?  How is this different for 
> a site currently deploying v4?

It is strictly enforced with DSTM and quite critical for its use.
Whether that is true all the time in networks today is unclear to me
anyway.   I keep my IPv4 address all day in most places on Intranets I
visit.  

> 
> In other words: if we need IPv4-in-IPv6 tunneling, let's 
> discuss that. 

Thats fine but I want to discuss Dominant IPv6 networks and it appears
others do too.  

We can clearly start another thread for that I believe too.
 
> If we need something more than the existing IPv4 mechanisms 
> for making the v4 addresses used over such tunnels more 
> dynamic (e.g., if DHCPv4 with short leases is not enough), 
> let's discuss that separately as well.

Please read DSTM it presents in this case the user does not want to add
IPv4 infrastructure to the IPv6 dominant network so DHCPv4 is not an
option in the spec and clearly stated for some time.   This is core
rationale within DSTM. 

>  But let's not get 
> these two features mixed up, having to sacrifice a baby to 
> get the bathwater :)

Not sure what this means at all?

> 
> I have the impression that a lot of people have "IPv6-in-IPv4 
> == DSTM"  

I think you mean IPv4-in-IPv6 ?

> in their head.  I want to break that assumption, as DSTM 
> seems to offer a lot more than that, because specifying a 
> solution without clearly defining its components seems unwise.

We believe the spec does that and why we keep sending update if you want
to add input to the spec please comment directly on the spec and that
would be helpful.

thanks
/jim

> 
> -- 
> Pekka Savola                 "You each name yourselves king, yet the
> Netcore Oy                    kingdom bleeds."
> Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings
> 
> 
> 
>